Loading...
Searching...
No Matches
Ogre::ConstMapIterator< T > Class Template Reference

Concrete IteratorWrapper for const access to the underlying key-value container. More...

`#include <OgreIteratorWrapper.h>`

Inheritance diagram for Ogre::ConstMapIterator< T >:
[legend]

## Public Member Functions

| ConstMapIterator (const T &c)
| Constructor.
| ConstMapIterator (typename T::const_iterator start, typename T::const_iterator last)
| Constructor.
Public Member Functions inherited from Ogre::MapIteratorWrapper< T, T::const_iterator >
| MapIteratorWrapper (T::const_iterator start, T::const_iterator last)
| Constructor.
ValueType | getNext ()
| Returns the next(=current) value element in the collection, and advances to the next.
KeyType | peekNextKey (void) const
| Returns the next(=current) key element in the collection, without advancing to the next.
ValueType | peekNextValue () const
| Returns the next(=current) value element in the collection, without advancing to the next.
const PointerType | peekNextValuePtr () const
| Returns a pointer to the next/current value element in the collection, without advancing to the next afterwards.
Public Member Functions inherited from Ogre::IteratorWrapper< T, T::const_iterator, T::mapped_type >
const T::const_iterator & | begin ()
| Bookmark to the begin of the underlying collection.
T::const_iterator & | current ()
| Full access to the current iterator.
const T::const_iterator & | end ()
| Bookmark to the end (one behind the last element) of the underlying collection.
bool | hasMoreElements () const
| Returns true if there are more items in the collection.
void | moveNext ()
| Moves the iterator on one element.

## Additional Inherited Members

Public Types inherited from Ogre::MapIteratorWrapper< T, T::const_iterator >
typedef T::key_type | KeyType
| Type you expect to get by funktions like peekNextKey.
typedef T::value_type | PairType
| Unused, just to make it clear that map/set::value_type is not a ValueType.
typedef IteratorWrapper< T, T::const_iterator, typenameT::mapped_type >::PointerType | PointerType
| Redefined PointerType for a map/set.
typedef IteratorWrapper< T, T::const_iterator, typenameT::mapped_type >::ValueType | ValueType
| Redefined ValueType for a map/set.
Public Types inherited from Ogre::IteratorWrapper< T, T::const_iterator, T::mapped_type >
typedef T::const_iterator | const_iterator
| Typedef to fulfill container interface.
typedef T::const_iterator | iterator
| Typedef to fulfill container interface.
typedef T::mapped_type * | PointerType
| Type you expect to get by funktions like peekNext(Value)Ptr.
typedef T::mapped_type | ValueType
| Type you expect to get by funktions like peekNext(Value).

## Detailed Description

template<typename T>
class Ogre::ConstMapIterator< T >

Concrete IteratorWrapper for const access to the underlying key-value container.

Template Parameters

  T | key-value container

## Constructor & Destructor Documentation

## ConstMapIterator() [1/2]

template<typename T>

Ogre::ConstMapIterator< T >::ConstMapIterator | ( | typename T::const_iterator | start,
|  | typename T::const_iterator | last )

inline

Constructor.

Provide a start and end iterator to initialise.

## ConstMapIterator() [2/2]

template<typename T>

Ogre::ConstMapIterator< T >::ConstMapIterator | ( | const T & | c | ) |

inline explicit

Constructor.

Provide a container to initialise.

The documentation for this class was generated from the following files:

- OgreAnimationState.h
- OgreIteratorWrapper.h